com.singularsys.jep.misc.nullwrapper.functions

## Class NullSafeEquals

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.BinaryFunction
    - - com.singularsys.jep.functions.Comparative
      - - com.singularsys.jep.misc.nullwrapper.functions.NullSafeEquals

- All Implemented Interfaces:
    NullWrappedFunctionI, PostfixMathCommandI, java.io.Serializable

      public class NullSafeEquals
      extends Comparative
      implements NullWrappedFunctionI

  The Null Safe equals function. null <=> null is true; null <=> non-null is false; not-null <=> null is false; other value as Comparative
  Since:
    3.4
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.Comparative

      `EQ, GE, GT, LE, LT, NE`

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullSafeEquals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
    `PostfixMathCommandI` | `getRoot()` Get to function which this function wraps.

    - ### Methods inherited from class com.singularsys.jep.functions.Comparative

      `compare, eq, ge, getId, getTolerance, gt, le, lt, ne, setTolerance`

    - ### Methods inherited from class com.singularsys.jep.functions.BinaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullSafeEquals

          public NullSafeEquals()

  - ### Method Detail

    - #### getRoot

          public PostfixMathCommandI getRoot()

      Description copied from interface: `NullWrappedFunctionI`
      Get to function which this function wraps.
      Specified by:
        `getRoot` in interface `NullWrappedFunctionI`
      Returns:
        the root function, may be "this".

    - #### eval

          public java.lang.Object eval(java.lang.Object l,
                                       java.lang.Object r)
                                throws EvaluationException

      Overrides:
        `eval` in class `Comparative`
      Throws:
        `EvaluationException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep